summaryrefslogtreecommitdiffstats
path: root/development/valgrind
diff options
context:
space:
mode:
author Kyle Guinn2010-05-11 14:05:53 +0200
committer Robby Workman2010-05-11 14:05:53 +0200
commit7fb9994f11f9b577484c5e159ea6274421d75219 (patch)
tree00a91f8c3d3b39a2ca16d6c0f26de9842ebac4dc /development/valgrind
parent16cd6a2182f246fba3441bc0e430516662ede5d9 (diff)
downloadslackbuilds-7fb9994f11f9b577484c5e159ea6274421d75219.tar.gz
development/valgrind: Initial import
Diffstat (limited to 'development/valgrind')
-rw-r--r--development/valgrind/README11
-rw-r--r--development/valgrind/slack-desc11
-rw-r--r--development/valgrind/valgrind.SlackBuild65
-rw-r--r--development/valgrind/valgrind.info8
4 files changed, 95 insertions, 0 deletions
diff --git a/development/valgrind/README b/development/valgrind/README
new file mode 100644
index 0000000000..c81f693e0f
--- /dev/null
+++ b/development/valgrind/README
@@ -0,0 +1,11 @@
+Valgrind is an award-winning suite of tools for debugging and profiling Linux
+programs. With the tools that come with Valgrind, you can automatically detect
+many memory management and threading bugs, avoiding hours of frustrating
+bug-hunting, making your programs more stable. You can also perform detailed
+profiling, to speed up and reduce memory use of your programs.
+
+The Valgrind distribution currently includes four tools: a memory error
+detector, a cache (time) profiler, a call-graph profiler, and a heap (space)
+profiler. It runs on the following platforms: X86/Linux, AMD64/Linux,
+PPC32/Linux, PPC64/Linux.
+
diff --git a/development/valgrind/slack-desc b/development/valgrind/slack-desc
new file mode 100644
index 0000000000..aeeda702ae
--- /dev/null
+++ b/development/valgrind/slack-desc
@@ -0,0 +1,11 @@
+valgrind: Valgrind
+valgrind:
+valgrind: Valgrind is an award-winning suite of tools for debugging and
+valgrind: profiling Linux programs. With the tools that come with Valgrind,
+valgrind: you can automatically detect many memory management and threading
+valgrind: bugs, avoiding hours of frustrating bug-hunting, making your
+valgrind: programs more stable. You can also perform detailed profiling,
+valgrind: to speed up and reduce memory use of your programs.
+valgrind:
+valgrind:
+valgrind:
diff --git a/development/valgrind/valgrind.SlackBuild b/development/valgrind/valgrind.SlackBuild
new file mode 100644
index 0000000000..14c06e3ece
--- /dev/null
+++ b/development/valgrind/valgrind.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Slackware build script for valgrind
+# Written by Kyle Guinn <elyk03@gmail.com>
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=valgrind
+VERSION=3.2.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ACKNOWLEDGEMENTS AUTHORS COPYING FAQ.txt INSTALL NEWS README* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/valgrind/html $PKG/usr/doc/$PRGNAM-$VERSION
+# The doc directory is the only thing in $PKG/usr/share, and the only things
+# left in it now are pdf and a ps doc files. They are large, so we won't keep
+# them around. If you still want them, uncomment the line below.
+# mv $PKG/usr/share/doc/valgrind/*.{ps,pdf} $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/valgrind/valgrind.info b/development/valgrind/valgrind.info
new file mode 100644
index 0000000000..1daced5ea4
--- /dev/null
+++ b/development/valgrind/valgrind.info
@@ -0,0 +1,8 @@
+PRGNAM="valgrind"
+VERSION="3.2.3"
+HOMEPAGE="http://www.valgrind.org/"
+DOWNLOAD="http://www.valgrind.org/downloads/valgrind-3.2.3.tar.bz2"
+MD5SUM="978847992b136c8d8cb5c6559a91df1c"
+MAINTAINER="Kyle Guinn"
+EMAIL="elyk03@gmail.com"
+APPROVED="robw810"